You are not logged in.

#576 2013-12-01 02:02:06

rainbowdashc
Member
Registered: 2013-09-30
Posts: 70

Re: Mate Desktop Environment - GNOME2 fork

wilberfan wrote:

This may not be the best place to ask this question, but are there any guides to getting MATE working with compiz under arch linux?   I haven't been able to find one yet...

And, I installed the 'network-manager-applet', but it's not showing up under the options to add it to panels.

Have you tried running

gsettings set org.mate.session.required-components windowmanager compiz

yet? (I used Gala with MATE just fine.)

Last edited by rainbowdashc (2013-12-01 02:02:25)

Offline

#577 2013-12-06 15:37:11

wilberfan
Member
From: So. Cal
Registered: 2010-12-18
Posts: 236

Re: Mate Desktop Environment - GNOME2 fork

# pacman -Syu
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 multilib is up to date
 mate is up to date
:: Starting full system upgrade...
resolving dependencies...
looking for inter-conflicts...
error: failed to prepare transaction (could not satisfy dependencies)
:: metacity: requires zenity
$ sudo pacman -S zenity
resolving dependencies...
looking for inter-conflicts...
:: zenity and mate-dialogs are in conflict. Remove mate-dialogs? [y/N]

Any thoughts?


Hey, be nice...I'm new at this!

Offline

#578 2013-12-06 16:07:43

levy_pl
Member
Registered: 2012-02-03
Posts: 18

Re: Mate Desktop Environment - GNOME2 fork

They state that it was fixed source.
I think we must wait until they push this commits into repo.

Offline

#579 2013-12-06 20:44:48

clfarron4
Member
From: London, UK
Registered: 2013-06-28
Posts: 2,162
Website

Re: Mate Desktop Environment - GNOME2 fork

wilberfan wrote:
$ sudo pacman -S zenity
resolving dependencies...
looking for inter-conflicts...
:: zenity and mate-dialogs are in conflict. Remove mate-dialogs? [y/N]

Any thoughts?

This seems a little odd since I have this on my system:

[~]  sudo pacman -Q zenity
zenity 3.10.0-1
[~]  sudo pacman -Q mate-dialogs
mate-dialogs 1.6.2-2 

Also:

[~]  sudo pacman -Qi mate-dialogs
Name           : mate-dialogs
Version        : 1.6.2-2
Description    : Display graphical dialog boxes from shell scripts
Architecture   : x86_64
URL            : http://mate-desktop.org
Licences       : LGPL
Groups         : mate
Provides       : None
Depends On     : gtk2  libnotify
Optional Deps  : None
Required By    : mate-window-manager
Optional For   : None
Conflicts With : None
Replaces       : None
Installed Size : 5172.00 KiB
Packager       : Martin Wimpress <code@flexion.org>
Build Date     : Sun 01 Dec 2013 13:25:19 GMT
Install Date   : Thu 05 Dec 2013 21:46:11 GMT
Install Reason : Explicitly installed
Install Script : No
Validated By   : Signature

[~]  sudo pacman -Qi zenity
Name           : zenity
Version        : 3.10.0-1
Description    : Display graphical dialog boxes from shell scripts
Architecture   : x86_64
URL            : http://www.gnome.org
Licences       : LGPL
Groups         : None
Provides       : None
Depends On     : gtk3  libnotify
Optional Deps  : None
Required By    : muffin  steam
Optional For   : awoken-icons
Conflicts With : None
Replaces       : None
Installed Size : 5464.00 KiB
Packager       : Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>
Build Date     : Fri 25 Oct 2013 16:47:11 BST
Install Date   : Fri 25 Oct 2013 23:31:39 BST
Install Reason : Installed as a dependency for another package
Install Script : No
Validated By   : Signature

Claire is fine.
Problems? I have dysgraphia, so clear and concise please.
My public GPG key for package signing
My x86_64 package repository

Offline

#580 2013-12-06 21:24:02

levy_pl
Member
Registered: 2012-02-03
Posts: 18

Re: Mate Desktop Environment - GNOME2 fork

sudo pacman -Qi mate-dialogs 
Name           : mate-dialogs
Version        : 1.6.2-1
Description    : Display graphical dialog boxes from shell scripts
Architecture   : x86_64
URL            : http://mate-desktop.org
Licenses       : LGPL
Groups         : mate
Provides       : zenity
Depends On     : gtk2  libnotify
Optional Deps  : None
Required By    : mate-window-manager  metacity  mutter  netflix-desktop
Optional For   : pipelight
Conflicts With : zenity
Replaces       : zenity
Installed Size : 5172.00 KiB
Packager       : Martin Wimpress <code@flexion.org>
Build Date     : Thu Oct 31 21:31:59 2013
Install Date   : Tue Nov 5 19:59:33 2013
Install Reason : Explicitly installed
Install Script : No
Validated By   : SHA256 Sum

sudo pacman -Qi zenity      
error: package 'zenity' was not found

this is mine

Offline

#581 2013-12-06 21:43:40

clfarron4
Member
From: London, UK
Registered: 2013-06-28
Posts: 2,162
Website

Re: Mate Desktop Environment - GNOME2 fork

I have a later version of mate-dialogs than you do @levy_pl (mine is 1.6.2-2, where yours is 1.6.2-1). Have you tried updating your package databases and packages with

sudo pacman -Syyu

Also I am using the following for MATE in /etc/pacman.conf :

[mate]
SigLevel = Optional TrustAll
Server = http://repo.mate-desktop.org/archlinux/$arch

Last edited by clfarron4 (2013-12-06 21:47:35)


Claire is fine.
Problems? I have dysgraphia, so clear and concise please.
My public GPG key for package signing
My x86_64 package repository

Offline

#582 2013-12-07 09:59:37

levy_pl
Member
Registered: 2012-02-03
Posts: 18

Re: Mate Desktop Environment - GNOME2 fork

Yes, I can see that my version is older than yours.
I've got the same repo and your tip is not solving my problem - still the same error:

sudo pacman -Syyu                             
:: Synchronizing package databases...
 core                     105.9 KiB   560K/s 00:00 [######################] 100%
 extra                   1523.2 KiB  1328K/s 00:01 [######################] 100%
 community                  2.0 MiB  1303K/s 00:02 [######################] 100%
 mate                     338.3 KiB  1035K/s 00:00 [######################] 100%
 multilib                 109.9 KiB   491K/s 00:00 [######################] 100%
:: Starting full system upgrade...
:: Replace foomatic-filters with extra/cups-filters? [Y/n] 
resolving dependencies...
looking for inter-conflicts...
error: failed to prepare transaction (could not satisfy dependencies)
:: metacity: requires zenity
:: mutter: requires zenity
:: netflix-desktop: requires zenity

Offline

#583 2013-12-07 10:28:32

balinbob
Member
From: North Carolina
Registered: 2010-03-07
Posts: 10

Re: Mate Desktop Environment - GNOME2 fork

@levy_pl:

1.6.2-1   provides zenity
1.6.2-2   omits this.   Whether intentionally or oversight, I do not know.

Edit the PKGBUILD for 1.6.2-2 to include the line:

provides=('zenity')

and recompile and install the new build, this solves the problem, at least for now.

Good luck,
Bob

Offline

#584 2013-12-07 13:21:24

levy_pl
Member
Registered: 2012-02-03
Posts: 18

Re: Mate Desktop Environment - GNOME2 fork

Thanks dude! I don't know is there any "thanks button" or "kudos" but anyway - THANKS A LOT!
Works like charm.

Offline

#585 2013-12-10 08:18:12

sverre
Member
From: Trondheim
Registered: 2009-04-07
Posts: 10

Re: Mate Desktop Environment - GNOME2 fork

For the zenity issue i did:

pacman -Rdd mate-dialogs
pacman -S zenity
pacman -S mate-dialogs

If this is the best way I dont know, but at least it worked for me, without patching the pkgfiles.

Offline

#586 2013-12-12 18:31:53

rainbowdashc
Member
Registered: 2013-09-30
Posts: 70

Re: Mate Desktop Environment - GNOME2 fork

Note: the conflict between zenity/mate-dialogs and eog/mate-image-viewer has been resolved, but gnome-keyring remains in conflict with mate-keyring (which can be fixed after installation with an ordinary pacman -S gnome-keyring).

Offline

#587 2013-12-13 16:31:42

levy_pl
Member
Registered: 2012-02-03
Posts: 18

Re: Mate Desktop Environment - GNOME2 fork

sverre wrote:

For the zenity issue i did:

pacman -Rdd mate-dialogs
pacman -S zenity
pacman -S mate-dialogs

If this is the best way I dont know, but at least it worked for me, without patching the pkgfiles.

I was pretty sure that there is an option to force uninstall mate-dialogs but I couldn't find it (I was not so determinied smile ). Thanks a lot for providing this solution. It works better than builiding by hand mate-dialogs with tweaked pkgbuild.

Offline

#588 2013-12-17 14:49:59

I-sty
Member
From: Romania
Registered: 2012-11-30
Posts: 60
Website

Re: Mate Desktop Environment - GNOME2 fork

Hi there,
I have a problem with plank and caja.
If I attached the caja icon to the plank's dock bar, I can't start caja from here.
I'm clicking on it, but nothing, the caja doesn't start.
Anything else are works, just caja not.

Offline

#589 2014-01-03 17:41:44

flexiondotorg
Trusted User (TU)
From: Hamshire, UK
Registered: 2013-06-06
Posts: 13
Website

Re: Mate Desktop Environment - GNOME2 fork

Hi,

MATE 1.6 (hopefully) has a working bluetooth stack on Arch Linux again. I'll put some proper docs in the wiki over the weekend, but here is the quick 'n dirty version. Install `mate-bluetooth` from the AUR using your favourite AUR package manager. For example:

sudo packer -S --noedit mate-bluetooth

If you want to enable Personal File Sharing over Bluetooth you'll also need to install `mate-user-share-bluez4` because `mate-user-share` (in the package repository) disables Bluetooth completely:

sudo packer -S --noedit mate-user-share-bluez4

Also make sure the the `bluetooth` service is enabled and started.

sudo systemctl start bluetooth
sudo systemctl enable bluetooth

You will also need to log out and back in again for the Bluetooth applet to show up.

Last edited by flexiondotorg (2014-01-06 12:02:53)


--
Regards, Martin.

Offline

#590 2014-01-16 17:02:49

rainbowdashc
Member
Registered: 2013-09-30
Posts: 70

Re: Mate Desktop Environment - GNOME2 fork

MATE packages have now been pushed into the official repos, in the package groups 'mate' and 'mate-extra'.

Edit: See below.

Last edited by rainbowdashc (2014-01-16 17:20:51)

Offline

#591 2014-01-16 17:04:51

flexiondotorg
Trusted User (TU)
From: Hamshire, UK
Registered: 2013-06-06
Posts: 13
Website

Re: Mate Desktop Environment - GNOME2 fork

Hi,

rainbowdashc wrote:

MATE packages have now been pushed into the official repos, in the package groups 'mate' and 'mate-extra'.

Not quite. I am currently migrating (this very moment) the packages to [community]. Only about 50% done so far...

Last edited by flexiondotorg (2014-01-16 17:05:05)


--
Regards, Martin.

Offline

#592 2014-01-16 18:57:11

RapidTransit
Member
Registered: 2013-04-27
Posts: 4

Re: Mate Desktop Environment - GNOME2 fork

flexiondotorg wrote:

Hi,

rainbowdashc wrote:

MATE packages have now been pushed into the official repos, in the package groups 'mate' and 'mate-extra'.

Not quite. I am currently migrating (this very moment) the packages to [community]. Only about 50% done so far...

I was wondering what was going on,

Recent Updates (more)
RSS Feed
liboobs 3.0.0-3    i686/x86_64
system-tools-backends 2.10.2-4    i686/x86_64
mate-applet-lockkeys 0.2.3-1    i686/x86_64
mate-applet-streamer 0.0.5-1    i686/x86_64
mate-applet-softupd 0.2.10-2    i686/x86_64

python2-caja 1.6.0-6    i686/x86_64
mate-utils 1.6.1-1    i686/x86_64

Will there be an announcement when it's complete?

Offline

#593 2014-01-16 19:40:03

flexiondotorg
Trusted User (TU)
From: Hamshire, UK
Registered: 2013-06-06
Posts: 13
Website

Re: Mate Desktop Environment - GNOME2 fork

MATE 1.6 is now available from [community]


--
Regards, Martin.

Offline

#594 2014-01-17 11:07:45

flexiondotorg
Trusted User (TU)
From: Hamshire, UK
Registered: 2013-06-06
Posts: 13
Website

Re: Mate Desktop Environment - GNOME2 fork

He is the announcement from the MATE desktop team.


--
Regards, Martin.

Offline

#595 2014-01-17 15:33:22

xpander
Member
Registered: 2013-01-23
Posts: 55

Re: Mate Desktop Environment - GNOME2 fork

flexiondotorg wrote:

He is the announcement from the MATE desktop team.


finally... nice work smile

Offline

#596 2014-01-18 15:26:09

teateawhy
Member
From: GER
Registered: 2012-03-05
Posts: 1,045
Website

Re: Mate Desktop Environment - GNOME2 fork

When trying to install the groups mate and mate-extra on a test setup in virtualbox, pacman quits before installing packages with the following error message shown:

(212/212) checking keys in keyring
downloading required keys...
error: key "654B877A0864983E" could not be looked up remotely
error: required key missing from keyring
error: failed to commit transaction (unexpected error)

(This happens within the chroot during installation.)

Offline

#597 2014-01-18 16:47:07

flexiondotorg
Trusted User (TU)
From: Hamshire, UK
Registered: 2013-06-06
Posts: 13
Website

Re: Mate Desktop Environment - GNOME2 fork

Make sure the updated 'archlinux-keyring' is installed.

pacman -S archlinux-keyring

Last edited by flexiondotorg (2014-01-18 16:47:21)


--
Regards, Martin.

Offline

#598 2014-01-18 17:10:45

teateawhy
Member
From: GER
Registered: 2012-03-05
Posts: 1,045
Website

Re: Mate Desktop Environment - GNOME2 fork

flexiondotorg wrote:

Make sure the updated 'archlinux-keyring' is installed.

pacman -S archlinux-keyring

( The package 'archlinux-keyring' is a dependency of pacman and therefore the latest version is already installed during pacstrap. )
-> I found the actual problem, the firewall on the virtualbox host blocked the server from which the keys are to be downloaded. The installation went fine now, thank you for your quick response.
Nontheless i would like to know why additional keys have to be downloaded and added to the keyring for a package from community?

Offline

#599 2014-01-25 00:10:50

josealb77
Member
Registered: 2013-06-23
Posts: 74

Re: Mate Desktop Environment - GNOME2 fork

GOOOOOD NEWS. I'm so glad to see MATE, my preferred desktop, officially supported by my preferred Linux distribution... big_smile

Offline

#600 2014-01-30 12:42:34

broken pipe
Member
Registered: 2010-12-10
Posts: 216

Re: Mate Desktop Environment - GNOME2 fork

is it possible to enable window tiling?

Offline

Board footer

Powered by FluxBB